## airspyhf 1.0

=== libairspyhf/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013/2014 Benjamin Vernoux
#
# This file is part of AirSpy (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 2.8)
project(libairspyhf C)
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/src/airspyhf.h AIRSPYHF_H_CONTENTS)

STRING(REGEX MATCH "\#define AIRSPYHF_VER_MAJOR[ \t]+([0-9]+)" AIRSPYHF_VER_MJ ${AIRSPYHF_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" AIRSPYHF_VER_MJ ${AIRSPYHF_VER_MJ})

STRING(REGEX MATCH "\#define AIRSPYHF_VER_MINOR[ \t]+([0-9]+)" AIRSPYHF_VER_MI ${AIRSPYHF_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" AIRSPYHF_VER_MI ${AIRSPYHF_VER_MI})

STRING(REGEX MATCH "\#define AIRSPYHF_VER_REVISION[ \t]+([0-9]+)" AIRSPYHF_VER_RE ${AIRSPYHF_H_CONTENTS})
STRING(REGEX MATCH "([0-9]+)" AIRSPYHF_VER_RE ${AIRSPYHF_VER_RE})

set(AIRSPYHF_VER_MAJOR ${AIRSPYHF_VER_MJ})
set(AIRSPYHF_VER_MINOR ${AIRSPYHF_VER_MI})
set(AIRSPYHF_VER_REVISION ${AIRSPYHF_VER_RE})

set(PACKAGE libairspyhf)
set(VERSION_STRING ${AIRSPYHF_VER_MAJOR}.${AIRSPYHF_VER_MINOR})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
set(CMAKE_C_FLAGS_RELEASE "-O3")
set(CMAKE_BUILD_TYPE Release)

if(APPLE)
    set(GR_LIBRARY_DIR "lib")
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

if(MSVC)
	set(THREADS_USE_PTHREADS_WIN32 true)
else()
	add_definitions(-Wall)

	INCLUDE(TestBigEndian)
	TEST_BIG_ENDIAN(BIGENDIAN)
	if(${BIGENDIAN})
		 add_definitions(-DAIRSPYHF_BIG_ENDIAN)
	endif(${BIGENDIAN})
endif()
find_package(USB1 REQUIRED)
find_package(Threads REQUIRED)

include_directories(${LIBUSB_INCLUDE_DIR} ${THREADS_PTHREADS_INCLUDE_DIR})

add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
    LIST(APPEND AIRSPYHF_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

# use space-separation format for the pc file
STRING(REPLACE ";" " " AIRSPYHF_PC_CFLAGS "${AIRSPYHF_PC_CFLAGS}")
STRING(REPLACE ";" " " AIRSPYHF_PC_LIBS "${AIRSPYHF_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(AIRSPYHF_PC_CFLAGS)
    UNSET(AIRSPYHF_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib${LIB_SUFFIX})
set(includedir \${prefix}/include)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/libairspyhf.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libairspyhf.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libairspyhf.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
)

########################################################################
# Create uninstall target
########################################################################
if(NOT airspyhf_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== tools/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013/2014 Benjamin Vernoux
#
# This file is part of AirSpy (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 2.8)
project(airspyhf-tools C)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 1)
set(PACKAGE airspyhf-tools)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)

########################################################################
# Create uninstall target
########################################################################

if(NOT airspyhf_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)


add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for AirSpy HF+" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES 52-airspyhf.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

=== libairspyhf/src/CMakeLists.txt ===
#
# Copyright (c) 2012, Jared Boone <jared@sharebrained.com>
# Copyright (c) 2013, Michael Ossmann <mike@ossmann.com>
# Copyright (c) 2013, Youssef Touil <youssef@airspy.com>
# Copyright (c) 2013/2014, Benjamin Vernoux <bvernoux@airspy.com>
#
# This file is part of AirSpy HF+ (based on HackRF project).
# 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
# 
#     Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
#     Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the 
# 	documentation and/or other materials provided with the distribution.
#     Neither the name of Great Scott Gadgets nor the names of its contributors may be used to endorse or promote products derived from this software
# 	without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Based heavily upon the libftdi cmake setup.

# Targets
set(c_sources ${CMAKE_CURRENT_SOURCE_DIR}/airspyhf.c ${CMAKE_CURRENT_SOURCE_DIR}/iqbalancer.c CACHE INTERNAL "List of C sources")
set(c_headers ${CMAKE_CURRENT_SOURCE_DIR}/airspyhf.h ${CMAKE_CURRENT_SOURCE_DIR}/iqbalancer.h ${CMAKE_CURRENT_SOURCE_DIR}/airspyhf_commands.h CACHE INTERNAL "List of C headers")

if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    if(NOT CMAKE_RC_COMPILER)
        set(CMAKE_RC_COMPILER windres.exe)
    endif()

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/airspyhfrc.obj
                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/airspyhf.h
                       COMMAND ${CMAKE_RC_COMPILER}
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                            -o ${CMAKE_CURRENT_BINARY_DIR}/airspyrchf.obj
                            -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/airspyhf.rc)
    set(AIRSPYHF_DLL_SRCS ${CMAKE_CURRENT_BINARY_DIR}/airspyhfrc.obj)
endif(MINGW)

# Dynamic library
add_library(airspyhf SHARED ${c_sources} ${AIRSPYHF_DLL_SRCS})
set_target_properties(airspyhf PROPERTIES VERSION ${AIRSPYHF_VER_MAJOR}.${AIRSPYHF_VER_MINOR}.${AIRSPYHF_VER_REVISION})
set_target_properties(airspyhf PROPERTIES SOVERSION 0)

# Static library
add_library(airspyhf-static STATIC ${c_sources})
if(MSVC)
	set_target_properties(airspyhf-static PROPERTIES OUTPUT_NAME "airspyhf_static")
else()
	set_target_properties(airspyhf-static PROPERTIES OUTPUT_NAME "airspyhf")
endif()

set_target_properties(airspyhf PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(airspyhf-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

# Dependencies
target_link_libraries(airspyhf ${LIBUSB_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
   
# For cygwin just force UNIX OFF and WIN32 ON
if( ${CYGWIN} )
  SET(UNIX OFF)
  SET(WIN32 ON)
endif( ${CYGWIN} )

if( ${UNIX} )
   install(TARGETS airspyhf
           LIBRARY DESTINATION lib${LIB_SUFFIX}
           COMPONENT sharedlibs
           )
   install(TARGETS airspyhf-static
           ARCHIVE DESTINATION lib${LIB_SUFFIX}
           COMPONENT staticlibs
           )
   install(FILES ${c_headers}
           DESTINATION include/${PROJECT_NAME}
           COMPONENT headers
           )
endif( ${UNIX} )

if( ${WIN32} )
   install(TARGETS airspyhf
           DESTINATION bin
           COMPONENT sharedlibs
           )
   install(TARGETS airspyhf-static
           DESTINATION bin
           COMPONENT staticlibs
           )
   install(FILES ${c_headers}
           DESTINATION include/${PROJECT_NAME}
           COMPONENT headers
           )
endif( ${WIN32} )

=== debian/changelog ===
airspyhf (1.0-1) unstable; urgency=medium

  * New release (Closes: #882184)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 19 Nov 2017 16:12:17 -0500

=== debian/control ===
Source: airspyhf
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 10.0~),
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
               pkg-config
Standards-Version: 4.1.0
Homepage: http://airspy.com/airspy-hf-plus/

Package: libairspyhf-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libairspyhf0 (= ${binary:Version}), ${misc:Depends}
Description: HF+VHF software defined radio receiver - development
 Airspy HF+ is an open source Software Defined Radio that can receive
 9 kHZ to 31 MHz and 60 MHz to 260 MHz.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains development files.

Package: libairspyhf0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: HF+VHF software defined radio receiver - library
 Airspy HF+ is an open source Software Defined Radio that can receive
 9 kHZ to 31 MHz and 60 MHz to 260 MHz.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_acc:
	- dh_acc
	- cat debian/libairspyhf-dev/usr/lib/x86_64-linux-gnu/dh-acc/libairspyhf-dev_*_report.html

override_dh_auto_configure: debian/libairspy0.udev
	dh_auto_configure $@ -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

debian/libairspy0.udev: tools/52-airspyhf.rules
	cp -p tools/52-airspyhf.rules debian/libairspyhf0.udev

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1.tar.gz/ \
  https://github.com/airspy/airspyhf/tags .*/?(\d\S*)\.tar\.gz

## airspyhf 1.1.5

=== debian/changelog ===
airspyhf (1.1.5-1) unstable; urgency=medium

  * New upstream release
    Add support for setting AGC, AGC_THRESHOLD, ATT, LNA
  * update to 1.1.5-7-g3f05240
  * bump soversion due to ABI and API changes
  * copy FindUSB1.cmake from airspy-host (Closes: #882453)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 05 Apr 2018 20:18:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: airspyhf
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper (>= 10.0~),
-               libusb-1.0-0-dev [linux-any],
-               libusb-dev [hurd-i386],
+               libusb-1.0-0-dev [!kfreebsd-any],
                libusb2-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Homepage: http://airspy.com/airspy-hf-plus/
 
 Package: libairspyhf-dev
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libairspyhf0 (= ${binary:Version}), ${misc:Depends}
+Depends: libairspyhf1 (= ${binary:Version}), ${misc:Depends}
 Description: HF+VHF software defined radio receiver - development
  Airspy HF+ is an open source Software Defined Radio that can receive
  9 kHZ to 31 MHz and 60 MHz to 260 MHz.
@@ -23,7 +22,7 @@
  .
  This package contains development files.
 
-Package: libairspyhf0
+Package: libairspyhf1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}

## airspyhf 1.6.8

=== CMakeLists.txt ===
#top dir cmake project for libairspyhf

cmake_minimum_required(VERSION 2.8)
project (airspyhf_all)

#provide missing strtoull() for VC11
if(MSVC11)
    add_definitions(-Dstrtoull=_strtoui64)
endif(MSVC11)

add_subdirectory(libairspyhf)
add_subdirectory(tools)
########################################################################
# Create uninstall target
########################################################################

configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)


add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Copy Files Win32 only
########################################################################

if(WIN32 AND NOT CMAKE_CROSSCOMPILING)
 if (NOT DEFINED LIBUSB_LIBRARIES)
 configure_file(
     ${CMAKE_CURRENT_BINARY_DIR}/../libs_win32/libusb-1.0.dll
 COPYONLY)
 endif()

 if (NOT DEFINED THREADS_PTHREADS_WIN32_LIBRARY)
 configure_file(
     ${CMAKE_CURRENT_BINARY_DIR}/../libs_win32/pthreadGC2.dll
 COPYONLY)
 endif()
endif()

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,25 @@
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
 set(VERSION ${VERSION_STRING})
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
+set(CMAKE_C_FLAGS_RELEASE "-O2")
+set(CMAKE_BUILD_TYPE Release)
+add_definitions(-D_FILE_OFFSET_BITS=64)
+
+if(MSVC)
+include_directories(getopt)
+add_definitions(/D _CRT_SECURE_NO_WARNINGS)
+else()
+add_definitions(-Wall)
+endif()
+
+if(NOT libairspyhf_SOURCE_DIR)
+find_package(LIBAIRSPYHF REQUIRED)
+include_directories(${LIBAIRSPYHF_INCLUDE_DIR})
+else()
+include_directories(${libairspyhf_SOURCE_DIR}/src)
+endif()
+
+add_subdirectory(src)
 
 ########################################################################
 # Create uninstall target

=== libairspyhf/src/CMakeLists.txt ===
--- 
+++ 
@@ -5,18 +5,18 @@
 # Copyright (c) 2013/2014, Benjamin Vernoux <bvernoux@airspy.com>
 #
 # This file is part of AirSpy HF+ (based on HackRF project).
-# 
+#
 # All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
-# 
+#
 #     Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
-#     Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the 
+#     Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the
 # 	documentation and/or other materials provided with the distribution.
 #     Neither the name of Great Scott Gadgets nor the names of its contributors may be used to endorse or promote products derived from this software
 # 	without specific prior written permission.
-# 
-# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 # THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 # IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 # (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
@@ -25,26 +25,21 @@
 #
 # Based heavily upon the libftdi cmake setup.
 
+macro(use_c99)
+  if (CMAKE_VERSION VERSION_LESS "3.1")
+    if (CMAKE_C_COMPILER_ID STREQUAL "GNU")
+      set (CMAKE_C_FLAGS "-std=gnu99 ${CMAKE_C_FLAGS}")
+    endif ()
+  else ()
+    set (CMAKE_C_STANDARD 99)
+  endif ()
+endmacro(use_c99)
+
+use_c99()
+
 # Targets
 set(c_sources ${CMAKE_CURRENT_SOURCE_DIR}/airspyhf.c ${CMAKE_CURRENT_SOURCE_DIR}/iqbalancer.c CACHE INTERNAL "List of C sources")
 set(c_headers ${CMAKE_CURRENT_SOURCE_DIR}/airspyhf.h ${CMAKE_CURRENT_SOURCE_DIR}/iqbalancer.h ${CMAKE_CURRENT_SOURCE_DIR}/airspyhf_commands.h CACHE INTERNAL "List of C headers")
-
-if(MINGW)
-    # This gets us DLL resource information when compiling on MinGW.
-    if(NOT CMAKE_RC_COMPILER)
-        set(CMAKE_RC_COMPILER windres.exe)
-    endif()
-
-    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/airspyhfrc.obj
-                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/airspyhf.h
-                       COMMAND ${CMAKE_RC_COMPILER}
-                            -D GCC_WINDRES
-                            -I ${CMAKE_CURRENT_SOURCE_DIR}
-                            -I ${CMAKE_CURRENT_BINARY_DIR}
-                            -o ${CMAKE_CURRENT_BINARY_DIR}/airspyrchf.obj
-                            -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/airspyhf.rc)
-    set(AIRSPYHF_DLL_SRCS ${CMAKE_CURRENT_BINARY_DIR}/airspyhfrc.obj)
-endif(MINGW)
 
 # Dynamic library
 add_library(airspyhf SHARED ${c_sources} ${AIRSPYHF_DLL_SRCS})
@@ -64,7 +59,7 @@
 
 # Dependencies
 target_link_libraries(airspyhf ${LIBUSB_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
-   
+
 # For cygwin just force UNIX OFF and WIN32 ON
 if( ${CYGWIN} )
   SET(UNIX OFF)

=== tools/src/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013/2014 Benjamin Vernoux
# Copyright 2018 Andrea Montefusco IW0HDV <andrew@montefusco.com>

# This file is part of AirSpy (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

if(MSVC)
add_library(libgetopt_static STATIC
    ../getopt/getopt.c
)
endif()

add_executable(airspyhf_lib_version airspyhf_lib_version.c)
install(TARGETS airspyhf_lib_version RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(airspyhf_info airspyhf_info.c)
install(TARGETS airspyhf_info RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(airspyhf_rx airspyhf_rx.c)
install(TARGETS airspyhf_rx RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(airspyhf_gpio airspyhf_gpio.c)
install(TARGETS airspyhf_gpio RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(airspyhf_calibrate airspyhf_calibrate.c)
install(TARGETS airspyhf_calibrate RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

if(NOT libairspyhf_SOURCE_DIR)
include_directories(${LIBAIRSPYHF_INCLUDE_DIR})
LIST(APPEND TOOLS_LINK_LIBS ${LIBAIRSPYHF_LIBRARIES})
else()
LIST(APPEND TOOLS_LINK_LIBS airspyhf)
endif()

if(MSVC)
LIST(APPEND TOOLS_LINK_LIBS libgetopt_static)
endif()

LIST(APPEND TOOLS_LINK_LIBS -lm)

target_link_libraries(airspyhf_lib_version ${TOOLS_LINK_LIBS})
target_link_libraries(airspyhf_info ${TOOLS_LINK_LIBS})
target_link_libraries(airspyhf_rx ${TOOLS_LINK_LIBS})
target_link_libraries(airspyhf_gpio ${TOOLS_LINK_LIBS})
target_link_libraries(airspyhf_calibrate ${TOOLS_LINK_LIBS})

=== debian/changelog ===
airspyhf (1.6.8-5) unstable; urgency=medium

  * update to 1.6.8-59-g87cf12a (Closes: #1096285)
    (would be 1.8.1 if upstream released)
  * upstream changed CMake minimum version to 3.12 (Closes: #1112691)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 20 Sep 2025 17:15:14 -0400

airspyhf (1.6.8-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10). (Closes: #-1)

  [ A. Maitland Bottoms ]
  * Update standards version to 4.6.2, no changes needed.
  * use group plugdev along with uaccess to allow for systemd services

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 30 Nov 2023 20:39:02 -0500

airspyhf (1.6.8-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ A. Maitland Bottoms ]
  * Thanks to the Debian Janitor for above packaging improvements
  * update Standards-Version (no changes)
  * move udev entry to libairsppyhf1

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 17 Dec 2020 20:01:46 -0500

airspyhf (1.6.8-2) unstable; urgency=medium

  * source only upload to unstable to allow transition

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Aug 2020 09:42:04 -0400

airspyhf (1.6.8-1) unstable; urgency=medium

  * New upstream release
  * airspyhf package with command-line tools is new

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 11 Aug 2020 21:45:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,39 @@
 Source: airspyhf
-Section: libs
+Section: hamradio
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10.0~),
-               libusb-1.0-0-dev [!kfreebsd-any],
-               libusb2-dev [kfreebsd-any],
-               pkg-config
-Standards-Version: 4.1.4
-Homepage: http://airspy.com/airspy-hf-plus/
+               debhelper-compat (= 13),
+               libusb-1.0-0-dev,
+               pkgconf
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Homepage: https://airspy.com/airspy-hf-plus
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/airspyhf
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/airspyhf.git
+
+Package: airspyhf
+Section: comm
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, libairspyhf1 (= ${binary:Version}), ${misc:Depends}
+Description: HF+VHF software defined radio receiver - user runtime
+ Airspy HF+ is an open source Software Defined Radio that can receive
+ 9 kHZ to 31 MHz and 60 MHz to 260 MHz.
+ It is a High Speed USB device powered by the USB bus.
+ .
+ This package contains some utility applications.
+  * airspyhf_gpio
+  * airspyhf_lib_version
+  * airspyhf_info: probe device and show configuration
+  * airspyhf_rx
+  * airspyhf_calibrate
 
 Package: libairspyhf-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libairspyhf1 (= ${binary:Version}), ${misc:Depends}
 Description: HF+VHF software defined radio receiver - development
@@ -23,6 +44,7 @@
  This package contains development files.
 
 Package: libairspyhf1
+Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_acc:
	- dh_acc
	- cat debian/libairspyhf-dev/usr/lib/x86_64-linux-gnu/dh-acc/libairspyhf-dev_*_report.html

override_dh_auto_configure:
	dh_auto_configure $@ -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_installudev:
	dh_installudev
	# This should be harmless when dh_installudev automatically installs to /usr/lib/udev/rules.d.
	set -e; if test -d debian/libairspyhf1/lib/udev/rules.d; then mv debian/libairspyhf1/lib/udev debian/libairspyhf1/usr/lib; fi
	set -e; if test -d debian/libairspyhf1/lib; then rmdir debian/libairspyhf1/lib; fi

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%airspyhf-$1.tar.gz%" \
 https://github.com/airspy/airspyhf/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
